<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Currency Rates</title>
</head>
<body>
    <h1>Курсы валют</h1>
    {% if rates %}
        <table border="1">
            <thead>
                <tr>
                    <th>Currency Name</th>
                    <th>Char Code</th>
                    <th>Rate</th>
                </tr>
            </thead>
            <tbody>
                {% for rate in rates %}
                    <tr>
                        <td>{{ rate.currency.name }}</td>
                        <td>{{ rate.currency.char_code }}</td>
                        <td>{{ rate.value }}</td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {% else %}
        <p>{{ error }}</p>
    {% endif %}
</body>
</html>
